"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = run;

var _commander = _interopRequireDefault(require("commander"));

var commands = _interopRequireWildcard(require("./commands"));

var _package = _interopRequireDefault(require("../package.json"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint no-console: 0 */
function run(argv) {
  _commander.default.version(`${_package.default.version}-${process.platform}-${process.arch}`);

  _commander.default.option('-k, --api-key [apiKey]', 'The API key of a VisWiz account to use. Defaults to VISWIZ_API_KEY env.', process.env.VISWIZ_API_KEY).option('-p, --project [projectID]', 'The ID of a VisWiz project to use. Defaults to VISWIZ_PROJECT_ID env.', process.env.VISWIZ_PROJECT_ID);

  commands.build(_commander.default);
  commands.buildResult(_commander.default);

  _commander.default.parse(argv);
}